Bug 217262 - Review Request: tdom - DOM parser for Tcl
Review Request: tdom - DOM parser for Tcl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-25 22:10 EST by Wart
Modified: 2014-07-20 10:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 15:56:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gemi: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-11-25 22:10:06 EST
Spec URL: http://www.kobold.org/~wart/fedora/tdom.spec
SRPM URL: http://www.kobold.org/~wart/fedora/tdom-0.8.0-1.src.rpm
Description:
DOM parser for Tcl

There is another package, tcldom, that provides similar functionality, but with a different API.  Some Tcl applications are written for one Tcl DOM api or the other, so it would be good to include both in FE.
Comment 1 Gérard Milmeister 2007-05-01 08:25:52 EDT
rpmlint is silent on this: good.
However:
configure: WARNING:
    Building tdom without threads enabled, but building against a Tcl
    that IS thread-enabled.
Is there a reason why threads are disabled?
Also, it seems that RPM_OPT_FLAGS are not used.
Comment 2 Wart 2007-05-01 13:31:25 EDT
(In reply to comment #1)
> rpmlint is silent on this: good.
> However:
> configure: WARNING:
>     Building tdom without threads enabled, but building against a Tcl
>     that IS thread-enabled.
> Is there a reason why threads are disabled?

They weren't disabled explicitly.  The default for this package is to build
without threading enabled.  I've added --enable-threads to the configure line to
fix.

> Also, it seems that RPM_OPT_FLAGS are not used.

Fixed as well:

http://www.kobold.org/~wart/fedora/tdom-0.8.0-2.src.rpm
http://www.kobold.org/~wart/fedora/tdom.spec
Comment 3 Gérard Milmeister 2007-05-05 09:28:43 EDT
* package meets naming and packaging guidelines
* specfile is properly named, is cleanly written and uses macros consistently
* dist tag is present
* build root is correct
* license field matches the actual license
* license is open source-compatible, license text included in package
* latest version is being packaged
* BuildRequires are proper
* compiler flags are appropriate
* %clean is present
* package builds in mock (FC-6, i386)
* package installs properly
* rpmlint is silent
* final provides and requires are sane
* owns the directories it creates
* doesn't own any directories it shouldn't
* no duplicates in %files
* file permissions are appropriate
* no scriptlets present
* code, not content
* documentation is small, so no -docs subpackage is necessary
* %docs are not necessary for the proper functioning of the package
* no headers
* no pkgconfig files
* no libtool .la droppings

APPROVED
Comment 4 Wart 2007-05-05 17:58:17 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: tdom
Short Description: Tcl dom parser
Owners: wart@kobold.org
Branches: FC-6
InitialCC:
Comment 5 Dennis Gilmore 2007-05-06 01:35:00 EDT
cvs done
Comment 6 Wart 2007-05-07 00:24:23 EDT
Imported and built.  Thanks!
Comment 7 Wart 2007-05-21 15:58:57 EDT
Removing FE-NEW blocker
Comment 8 Wart 2007-08-26 21:41:36 EDT
Package Change Request
======================
Package Name: tdom
New Branches: F-7
Comment 9 Kevin Fenzi 2007-08-28 00:29:49 EDT
cvs done. 
Comment 10 Wart 2008-06-20 08:15:23 EDT
Package Change Request
======================
Package Name: tdom
New Branches: EL-4 EL-5
Comment 11 Kevin Fenzi 2008-06-20 11:21:09 EDT
cvs done.
Comment 12 Kyle Lanclos 2014-07-20 10:44:38 EDT
Package Change Request
======================
Package Name: tdom
New Branches: EPEL7

Note You need to log in before you can comment on or make changes to this bug.